Subject: Re: is cygwin lame???
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 25 Jul 2001 10:41:53 -0400

On Wed, Jul 25, 2001 at 02:26:32PM +0200, Michael Scheibler wrote:
>We are experiencing a major difference in performance between bash on a real
>unix system and on cygwin. I can't imagine that this is a problem of
>Windows - it might be a catastrophe in os design, but you can't say that
>it's THAT slow.
>Now we looked at out network monitoring tools and found this:
>
>.
>.
>.
>.
>31384 13:04:10 bash.exe:112 FASTIO_READ Z:\make_classdll.sh SUCCESS Offset:
>598 Length: 1
>31385 13:04:10 bash.exe:112 FASTIO_CHECK_IF_POSSIBLE Z:\make_classdll.sh
>SUCCESS Read: Offset: 599 Length: 1
>31386 13:04:10 bash.exe:112 FASTIO_READ Z:\make_classdll.sh SUCCESS Offset:
>599 Length: 1
>31387 13:04:10 bash.exe:112 FASTIO_CHECK_IF_POSSIBLE Z:\make_classdll.sh
>SUCCESS Read: Offset: 600 Length: 1
>31388 13:04:10 bash.exe:112 FASTIO_READ Z:\make_classdll.sh SUCCESS Offset:
>600 Length: 1

Thanks for the bug report.  You've properly hit on the problem.

Cygwin is indeed lame or as we like to call it "ambulatorally challenged".

Sorry for the inconvenience.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/